org.eclipse.graphiti.services

## Interface ILayoutService

All Superinterfaces:
  IGaLayoutService, IPeLayoutService

All Known Subinterfaces:
  IUiLayoutService

All Known Implementing Classes:
  LayoutServiceImpl, UiLayoutService

    public interface ILayoutService
    extends IPeLayoutService, IGaLayoutService

The interface ILayoutService provides convenient services which are useful for writing layout features.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.services.IPeLayoutService

`getConnectionMidpoint, getGaBoundsForAnchor, getLocationInfo, getLocationRelativeToDiagram, getLocationRelativeToDiagram`

### Methods inherited from interface org.eclipse.graphiti.services.IGaLayoutService

`calculateSize, calculateSize, setHeight, setLocation, setLocation, setLocationAndSize, setLocationAndSize, setSize, setWidth`